Subject: Re: G++ guru's please comment - Re: FW: pthread_create problem in Cygwin 1.1.8-2]
From: "Robert Collins" <[email-masked]>
To: "Earnie Boyd" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 10 Apr 2001 07:20:28 +1000

Uhmm Earnie I if you compile with gcc 2.95.3-1 you will encounter the
problem.

I can trigger it 100% of the time using sched_yield(). If you trace the
assembly, the event handler context returns the same structure (probably
a static context given g++ is built without thread support). The cause
of the crash IMO is a change in the try{} cleanup code that resets the
context at the end of the try block, or leaves it random, rather than
preserving the data.

Rob

----- Original Message -----
From: "Earnie Boyd" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, April 10, 2001 1:00 AM
Subject: Re: G++ guru's please comment - Re: FW: pthread_create problem
in Cygwin 1.1.8-2]

> Robert,
>
> I just updated with the latest CVS and it the test still works.  I
have
> noticed that it works slightly differently in RXVT than the
> MSDOS/Console window.  Perhaps you need to lengthen the Sleep time.  I
> shortened it to a value of 10 and that works for RXVT but I don't get
> all of the output with MSDOS/Console window with the value of 10.
>
> Earnie.
>
> _________________________________________________________
> Do You Yahoo!?
> Get your free @yahoo.com address at http://mail.yahoo.com
>
>

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple